Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1196274 - (CVE-2015-2151, xsa123) CVE-2015-2151 xen: hypervisor memory corruption due to x86 emulator flaw (xsa123)
CVE-2015-2151 xen: hypervisor memory corruption due to x86 emulator flaw (xsa...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150310,repo...
: Security
Depends On: 1200373 1200398
Blocks: 1196269
  Show dependency treegraph
 
Reported: 2015-02-25 10:44 EST by Vasyl Kaigorodov
Modified: 2016-03-15 11:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the Xen hypervisor x86 CPU emulator implementation did not correctly handle certain instructions with segment overrides, potentially resulting in a memory corruption. A malicious guest user could use this flaw to read arbitrary data relating to other guests, cause a denial of service on the host, or potentially escalate their privileges on the host.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 11:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xsa123-4.3-4.2.patch (692 bytes, text/plain)
2015-02-25 10:45 EST, Vasyl Kaigorodov
no flags Details
xsa123.patch (651 bytes, text/plain)
2015-02-25 10:45 EST, Vasyl Kaigorodov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0450 normal SHIPPED_LIVE Important: kernel security update 2016-03-15 14:46:44 EDT

  None (edit)
Description Vasyl Kaigorodov 2015-02-25 10:44:39 EST
ISSUE DESCRIPTION
=================

Instructions with register operands ignore eventual segment overrides
encoded for them. Due to an insufficiently conditional assignment such
a bogus segment override can, however, corrupt a pointer used
subsequently to store the result of the instruction.

IMPACT
======

A malicious guest might be able to read sensitive data relating to
other guests, or to cause denial of service on the host. Arbitrary code
execution, and therefore privilege escalation, cannot be excluded.

VULNERABLE SYSTEMS
==================

Xen 3.2.x and later are vulnerable.
Xen 3.1.x and earlier have not been inspected.

Only x86 systems are vulnerable. ARM systems are not vulnerable.

MITIGATION
==========

There is no mitigation available for this issue.

RESOLUTION
==========

Applying the appropriate attached patch resolves this issue.

xsa123.patch xen-unstable, Xen 4.5.x, Xen 4.4.x
xsa123-4.3-4.2.patch Xen 4.3.x, Xen 4.2.x

$ sha256sum xsa123*.patch
c65ff7e169416b8c8aef93f2f1b4c259f123f244cdb3ab7a1f4fe714000752ff xsa123-4.3-4.2.patch
6f1587f9e0a4b9325c75c004b0069b5d5303a725cf7dd8def18c01b9d0aa8912 xsa123.patch
Comment 1 Vasyl Kaigorodov 2015-02-25 10:45:46 EST
Created attachment 995257 [details]
xsa123-4.3-4.2.patch
Comment 2 Vasyl Kaigorodov 2015-02-25 10:45:49 EST
Created attachment 995258 [details]
xsa123.patch
Comment 4 Petr Matousek 2015-03-10 08:36:13 EDT
Statement:

This issue does affect the Xen hypervisor packages as shipped with Red Hat Enterprise Linux 5. Future Xen hypervisor packages updates might address this issue.
Comment 5 Martin Prpič 2015-03-10 09:39:26 EDT
External References:

http://xenbits.xen.org/xsa/advisory-123.html
Comment 6 Martin Prpič 2015-03-10 09:39:50 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1200398]
Comment 7 Fedora Update System 2015-03-21 00:59:04 EDT
xen-4.5.0-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-03-22 00:31:46 EDT
xen-4.3.3-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-03-23 03:10:18 EDT
xen-4.4.1-16.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2016-03-15 10:48:07 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0450 https://rhn.redhat.com/errata/RHSA-2016-0450.html

Note You need to log in before you can comment on or make changes to this bug.